Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# pngrutil.c File Reference

`#include "png.h"`

Include dependency graph for pngrutil.c:

## Defines
#define | PNG_INTERNAL
#define | isnonalpha(c) ((c) < 65 || (c) > 122 || ((c) > 90 && (c) < 97))
## Functions
png_uint_32 | png_get_uint_31 (png_structp png_ptr, png_bytep buf)
png_uint_32 | png_get_uint_32 (png_bytep buf)
png_int_32 | png_get_int_32 (png_bytep buf)
png_uint_16 | png_get_uint_16 (png_bytep buf)
void | png_crc_read (png_structp png_ptr, png_bytep buf, png_size_t length)
int | png_crc_finish (png_structp png_ptr, png_uint_32 skip)
int | png_crc_error (png_structp png_ptr)
png_charp | png_decompress_chunk (png_structp png_ptr, int comp_type, png_charp chunkdata, png_size_t chunklength, png_size_t prefix_size, png_size_t *newlength)
void | png_handle_IHDR (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_PLTE (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_IEND (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_gAMA (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_sBIT (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_cHRM (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_sRGB (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_iCCP (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_sPLT (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_tRNS (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_bKGD (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_hIST (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_pHYs (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_oFFs (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_pCAL (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_sCAL (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_tIME (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_tEXt (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_zTXt (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_unknown (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_check_chunk_name (png_structp png_ptr, png_bytep chunk_name)
void | png_combine_row (png_structp png_ptr, png_bytep row, int mask)
void | png_do_read_interlace (png_structp png_ptr)
void | png_read_filter_row (png_structp png_ptr, png_row_infop row_info, png_bytep row, png_bytep prev_row, int filter)
void | png_read_finish_row (png_structp png_ptr)
void | png_read_start_row (png_structp png_ptr)

## Define Documentation

#define isnonalpha | ( | c |  | ) | ((c) < 65 || (c) > 122 || ((c) > 90 && (c) < 97))

#define PNG_INTERNAL

## Function Documentation

void png_check_chunk_name | ( | png_structp | png_ptr,
|  | png_bytep | chunk_name
| ) |

void png_combine_row | ( | png_structp | png_ptr,
|  | png_bytep | row,
|  | int | mask
| ) |

int png_crc_error | ( | png_structp | png_ptr | ) |

int png_crc_finish | ( | png_structp | png_ptr,
|  | png_uint_32 | skip
| ) |

void png_crc_read | ( | png_structp | png_ptr,
|  | png_bytep | buf,
|  | png_size_t | length
| ) |

png_charp png_decompress_chunk | ( | png_structp | png_ptr,
|  | int | comp_type,
|  | png_charp | chunkdata,
|  | png_size_t | chunklength,
|  | png_size_t | prefix_size,
|  | png_size_t * | newlength
| ) |

void png_do_read_interlace | ( | png_structp | png_ptr | ) |

png_int_32 png_get_int_32 | ( | png_bytep | buf | ) |

png_uint_16 png_get_uint_16 | ( | png_bytep | buf | ) |

png_uint_32 png_get_uint_31 | ( | png_structp | png_ptr,
|  | png_bytep | buf
| ) |

png_uint_32 png_get_uint_32 | ( | png_bytep | buf | ) |

void png_handle_bKGD | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_cHRM | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_gAMA | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_hIST | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_iCCP | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_IEND | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_IHDR | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_oFFs | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_pCAL | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_pHYs | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_PLTE | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_sBIT | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_sCAL | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_sPLT | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_sRGB | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_tEXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_tIME | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_tRNS | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_unknown | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_handle_zTXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_read_filter_row | ( | png_structp | png_ptr,
|  | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_bytep | prev_row,
|  | int | filter
| ) |

void png_read_finish_row | ( | png_structp | png_ptr | ) |

void png_read_start_row | ( | png_structp | png_ptr | ) |